<?php

namespace App\Models\Contact;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class ContactCategory extends Model
{
    protected $table = 'contact_categories';
    protected $fillable = ['name'];

    public function templates(): HasMany {
        return $this->hasMany(ContactTemplate::class, 'category_id');
    }
}
